package edu.upvehu.gbg;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.URL;
import java.sql.SQLException;
import java.util.Set;
import java.util.TreeSet;

public class Solucion {

    public static void main(String[] args) throws IOException, InvalidFieldException, SQLException {

        try ( BufferedReader br = new BufferedReader(new InputStreamReader(new URL("http://gtts.ehu.es/German/Docencia/assets/DB.txt").openStream()));) {
            while (Referencia.addLine(br.readLine()) != null) /*no hacemos nada dentro del ciclo while, ya está hecho al chequear la condició nde mantenimiento*/;

            try ( DBMummec2223 db = DBMummec2223.getInstance();) {
                db.instanciaEsquema();

                //Vamos agenerar la tabla de publicaciones
                Set<String> pub = new TreeSet<>();
                for (Referencia r : Referencia.getALMACEN().values()) {      //Recorriendo todos los registros
                    pub.add(r.getPublicacion());                             //Se añaden las publicaciones al conjunto
                }
                String[] publicaciones = pub.toArray(new String[pub.size()]);//(por conveniencia posterior se pasa el conjunto a un array)
                db.arrayOfStrings2DB(publicaciones, "publication");

            }

        }

    }

}
